Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Stefan Roese <[email-masked]>
Date: Thu, 5 Jun 2008 10:45:42 +0200

On Thursday 05 June 2008, Jean Delvare wrote:
> > > Maybe it is time to remove the index, or maybe we should go back to
> > > using both a static and the index. But at the time we decided to
> > > enforce an index.
> >
> > So what should we do now? Currently I2C doesn't work at all on 4xx since
> > the driver expects the "index" property and no dts sets this property.
> > Personally I would like to move to using cell-index here, since this
> > seems to be more common. But I could also life with removing the index
> > property and using the "static index" if this is preferred and/or
> > acceptable.
> >
> > Please advise. Thanks.
>
> As far as I am concerned, it's really up to the maintainers and users
> of this platform. All I am asking for is that you do not call
> i2c_add_numbered_adapter() on an adapter with an automatically
> generated number. This function must only be used for adapter's those
> number is well defined. If an adapter doesn't have a well-defined
> number then use i2c_add_adapter() (but then you can no longer declare
> your I2C devices as part of the platform data.)

Full ack from me. So I suggest to use "cell-index" if available and otherwise 
use an incremented number, same as the FSL i2c driver does now:

http://ozlabs.org/pipermail/linuxppc-dev/2008-June/057254.html

If nobody objects I'll send a patch to add the cell-index to all 4xx dts files 
in a short while.

Best regards,
Stefan